Agda-2.5.2: A dependently typed functional programming language and proof assistant

Safe Haskell | Safe
Language | Haskell2010

Agda.Compiler.UHC.Pragmas.Base

Description

Defines UHC Core functions used in other parts of Agda. E.g. parsing Core pragmas uses the `parseCoreCode` function.

# Documentation

type CoreExpr = String #

data CoreType #

Constructors

CTMagic MagicName | Magic name
CTNormal String |

Instances

Eq CoreType # |
Methods (==) :: CoreType -> CoreType -> Bool # (/=) :: CoreType -> CoreType -> Bool #
Show CoreType # |
Methods showsPrec :: Int -> CoreType -> ShowS # show :: CoreType -> String # showList :: [CoreType] -> ShowS #

data CoreConstr #

Constructors

CCMagic MagicName MagicName |
CCNormal HsName HsName Int |

Instances

Eq CoreConstr # |
Methods (==) :: CoreConstr -> CoreConstr -> Bool # (/=) :: CoreConstr -> CoreConstr -> Bool #
Show CoreConstr # |
Methods showsPrec :: Int -> CoreConstr -> ShowS # show :: CoreConstr -> String # showList :: [CoreConstr] -> ShowS #

coreConstrToCTag #

Arguments

:: CoreConstr |
-> Int | Arity
-> CTag |

setTag :: CoreConstr -> Int -> CoreConstr #

data HsName #

Instances

Eq HsName # |
Methods (==) :: HsName -> HsName -> Bool # (/=) :: HsName -> HsName -> Bool #
Ord HsName # |
Methods compare :: HsName -> HsName -> Ordering # (<) :: HsName -> HsName -> Bool # (<=) :: HsName -> HsName -> Bool # (>) :: HsName -> HsName -> Bool # (>=) :: HsName -> HsName -> Bool # max :: HsName -> HsName -> HsName # min :: HsName -> HsName -> HsName #
Show HsName # |
Methods showsPrec :: Int -> HsName -> ShowS # show :: HsName -> String # showList :: [HsName] -> ShowS #
Serialize HsName # |